﻿using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Dockingmanager_127175
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            SyncDockingManager.UseDocumentContainer = true;
        }

        internal FrameworkElement FindChild(string nameForFind)
        {
            foreach (FrameworkElement element in SyncDockingManager.Children)
            {
                if (nameForFind == element.Name)
                {
                    return element;
                }
            }
            return null;
           
        }

        private void button_Click(object sender, RoutedEventArgs e)
        {
            if (SyncDockingManager != null)
            {
                FrameworkElement Name = FindChild("NewWeigh");

                if (Name == null)
                {
                    Frame newWeighFrame = new Frame();
                    //newWeighFrame.Content = new SelectACPage(new SelectAircraftViewModel(Context));
                    newWeighFrame.Name = "NewWeigh";
                    DockingManager.SetHeader(newWeighFrame, "New Weigh");
                    DockingManager.SetState(newWeighFrame, DockState.Document);
                    DockingManager.SetIsSelectedTab(newWeighFrame, true);
                    SyncDockingManager.Children.Add(newWeighFrame);
                }
               
                else
                {
                    MessageBox.Show("Child is already exist");
                }
            }
        }
    }
}
